Subject: bug#15466: 24.3.50; [PATCH] Add some keybindings for doc-view-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Sep 2013 14:05:09 -0400

>       (define-key map (kbd "RET")       'image-next-line)
>       ;; Zoom in/out.
>       (define-key map "+"               'doc-view-enlarge)
> +     (define-key map "="               'doc-view-enlarge)
> +     (define-key map (kbd "C-x C-+")   'doc-view-enlarge)
> +     (define-key map (kbd "C-x C-=")   'doc-view-enlarge)
>       (define-key map "-"               'doc-view-shrink)
> +     (define-key map (kbd "C-x C--")   'doc-view-shrink)
>       ;; Fit the image to the window
>       (define-key map "W"               'doc-view-fit-width-to-window)
>       (define-key map "H"               'doc-view-fit-height-to-window)

I think it's OK (unless Tassilo disagrees, obviously), but it needs some
comments about why it's added (for the = binding, I guess it's because
it's the "unshifted +", which for the other it's to override
text-scale-adjust).
Also, maybe instead of rebinding C-x C-+, we should remap text-scale-adjust.

        Stefan